﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace ImagesInCombo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string[] arr = new string[] { "Tulips", "Penguins", "Lighthouse" };
            ImageList img = new ImageList();
            img.Images.Add(Image.FromFile(@"..\..\Tulips.jpg"));
            img.Images.Add(Image.FromFile(@"..\..\Penguins.jpg"));
            img.Images.Add(Image.FromFile(@"..\..\LightHouse.jpg"));
            ImageCombo cb = new ImageCombo();
            cb.Items = new string[] { "Tulips", "Penguins", "Lighthouse" };
            cb.ImageList = img;
            fpSpread1.ActiveSheet.Columns[0].CellType = cb;
            fpSpread1.ActiveSheet.Columns[0].Width = 200;
        }
    }

    public class ImageCombo : FarPoint.Win.Spread.CellType.ComboBoxCellType
    {
       public override void PaintCell(Graphics g, Rectangle r, FarPoint.Win.Spread.Appearance appearance, object value, bool isSelected, bool isLocked, float zoomFactor)
        {
            if (value != null)
            {
                int ind =0;
                for (int i = 0; i < base.Items.Length; i++)
                {
                    if (base.Items[i] == value.ToString())
                    {
                        ind = i;
                        break;
                    }
                }
                Image img = base.ImageList.Images[ind];
                g.DrawImage(img, new Rectangle(new Point(r.X, r.Y), new Size(20, 20)));
                g.DrawString(value.ToString(), appearance.Font, new SolidBrush(Color.Black), new PointF(r.X + 20, r.Y-10 + 10));
                ControlPaint.DrawComboButton(g, new Rectangle(r.Right - 17, r.Y, 17, r.Height), ButtonState.Normal);
                
            }
            else
            {
                base.PaintCell(g, r, appearance, value, isSelected, isLocked, zoomFactor);
            }
        }
       
    }
}
